# DrupalCon Code Of Conduct
DrupalCon is dedicated to a safe, inclusive, welcoming, and harassment-free conference experience for everyone. All attendees, speakers, trainers, sponsors, volunteers, vendors, and event staff at DrupalCon are required to abide by the DrupalCon Code of Conduct at the conference and at social or other events hosted or sponsored by DrupalCon sponsors.

### Need Help?

If you have a harassment concern, or to report a Code of Conduct violation, notify the event staff or contact us at [conduct@association.drupal.org](mailto:conduct@association.drupal.org)

If you need help resolving a conflict, contact the Drupal Community Working Group: [drupal-cwg@drupal.org](mailto:drupal-cwg@drupal.org)

## Code of Conduct

DrupalCon is an event that brings together a community of professionals from around the world who use, develop, design, and support the Drupal platform. DrupalCon is dedicated to providing a safe, inclusive, welcoming, professional, harassment-free conference experience for everyone regardless of gender, gender identity and expression, sexual orientation, disability, physical appearance, body size, race, caste, age, religion and any other status protected by laws in which the conference or program is being held. The DrupalCon Code of Conduct ensures we collectively create this kind of experience. This document expresses the behaviors we expect at DrupalCon, what is unacceptable behavior, how we address unacceptable behavior, and how to ask for help if needed. All participants, including attendees, organizers, speakers, trainers, sponsors, exhibitors, vendors, volunteers, and event staff at DrupalCon are required to abide by the DrupalCon Code of Conduct. Event staff and their designated representatives will enforce this code throughout the event. We expect cooperation from all participants to help ensure a safe environment for everyone.

### Expected Behavior

All event participants are expected to behave in accordance with professional standards, the DrupalCon Code of Conduct, applicable laws, and to the extent not contrary to the above, their respective employer's policies governing appropriate workplace behavior.

#### We are considerate

DrupalCon is an international event that attracts diverse people from a wide variety of ethnic, cultural, and religious backgrounds. We acknowledge that cross-cultural communication can often be complicated and encourage everyone to consider the impact of their words and actions on those with different backgrounds and experiences.

#### We are welcoming

One of the greatest strengths of the Drupal community is our inclusiveness. Making all participants feel welcome and included at DrupalCon is everyone’s job.

#### We are respectful

All participants should strive to treat each other with dignity and respect, regardless of gender, gender identity and expression, sexual orientation, disability, physical appearance, body size, race, caste, age, religion and any other status protected by laws in which the conference or program is being held.

#### We are collaborative

If and when misunderstandings occur, we encourage people to work things out between themselves where this is practical. Where support is beneficial to achieve this, participants agree to ask for help. People are encouraged to take responsibility for their words and actions and listen to constructively-presented criticism with an open mind, courtesy, and respect. If people do not feel able to work out an issue between themselves, they are encouraged to seek the advice of a third party to help mediate.

To get help mediating you may contact the Drupal Community Working Group at [drupal-cwg@drupal.org](mailto:drupal-cwg@drupal.org) or with an [online incident report](https://www.drupal.org/governance/community-working-group/incident-report).

#### We lead by example

Anyone who represents the project, officially, informally, or otherwise, is a leader in our community. At DrupalCon, leadership roles include, but are not limited to Program team / Track Chairs, Speakers, Summit Leads, Trainers, Prenote organizers, Selection Committees, Social Media Leads, Q&A moderator, Photography Team Leads, Sprint leads, and Mentors. Leadership is not an award, right or title; it is a privilege, a responsibility, and a mandate. As leaders, they must represent the best version of the Drupal community in what they say and do.

### Unacceptable Behavior

We do not tolerate harassment and keep our conference a harassment-free zone for our attendees. Harassment will not be tolerated in any form, including but not limited to harassment based on gender, gender identity and expression, sexual orientation, disability, physical appearance, body size, race, caste, age, religion or any other status protected by laws in which the conference or program is being held. Any report of harassment at DrupalCon will be addressed immediately. Harassment includes, but is not limited to:

*   Verbal comments or imagery that reinforce social structures of domination related to gender, gender identity and expression, sexual orientation, disability, physical appearance, body size, race, caste, age, religion and any other status protected by laws in which the conference or program is being held.
*   Unwelcome comments regarding a person’s lifestyle choices and practices, including those related to food, health, parenting, drugs, and employment.
*   Abusive, offensive, or degrading language or imagery
*   Language or imagery that encourages, glorifies, incites, or calls for violence, emotional, or physical harm against an individual or a group of people
*   Intimidation, stalking, or following
*   Harassing photography or recording
*   Sexual imagery. At a minimum, no images containing nudity or expressions of sexual relationships that might be deemed inappropriate for a business environment should be used. In addition, participants should consider local societal customs of the hosting country when deciding what is deemed appropriate for a business environment.
*   Sustained disruption of talks or other events
*   Unwelcome sexual attention or advances or physical contact
*   Advocating for, or encouraging, any of the above behavior

No weapons of any kind or illegal drugs are permitted at DrupalCon venues.

Sponsors and Exhibitors should not use sexualized images, activities, or other material. Booth staff, including volunteers, should not wear sexualized clothing/uniform/costume, or otherwise create a sexualized environment. Speakers should not use sexual language, images, or anything that would constitute harassment as defined above in their presentations. Sponsors, Exhibitors, and Speakers must abide by the terms in their agreements with the Drupal Association.

### Consequences of Unacceptable Behavior

Unacceptable behavior from any DrupalCon participant will not be tolerated. If a participant engages in unacceptable behavior, DrupalCon staff and designated representatives may take any of the following actions they deem appropriate, up to and including a temporary ban or permanent expulsion from the event without warning and without refund. These actions may include, but are not limited to:

*   A warning to cease their behavior and that any further reports will result in further actions
*   Removal from DrupalCon, with no refund
*   Not being allowed to attend future Drupal Association events, including DrupalCon, for a period of time or indefinitely
*   Revocation of leadership roles related to Drupal Association events, programs, committees, and platforms like drupal.org - temporarily or indefinitely
*   Reporting behavior to the applicable authorities.
*   In rare cases, and only at the discretion of the board itself, some issues may be [escalated to the full Drupal Association Board](https://www.drupal.org/association/board#escalations).

### What To Do If You Witness Or Are Subject To Unacceptable Behavior

If you feel threatened or violated as a result of intimidating, harassing, abusive, discriminatory, derogatory or demeaning conduct, please immediately notify an event staff member or contact us at [conduct@association.drupal.org](mailto:conduct@association.drupal.org). Likewise, please immediately notify an event staff member if you notice that someone else is being subjected to such behavior.

Emails to the [conduct@association.drupal.org](mailto:conduct@association.drupal.org) address will be received and processed by:

*   Rachel Lawson, Community Liaison
*   Karlyanna Kopra, Director, Events
*   Heather Rocker, Executive Director

### We’re all in this together

We have an amazing community and this document is designed to continue and strengthen our ability to safeguard and foster our members' wellness and encourage the community’s growth in a safe, productive and welcoming place by providing clarity and expectations around our members' behavior and responsibilities. Parts of this Code of Conduct are derived from best practices used in other open source projects’ Codes of Conduct, including:

*   Linux Foundation
*   Ubuntu OS Feels
*   Ada Initiative
*   Geek Feminism

The DrupalCon Code of Conduct is licensed under a Creative Commons Attribution 3.0 Unported License ([http://creativecommons.org/licenses/by-sa/3.0/](http://creativecommons.org/licenses/by-sa/3.0/)) and is available for others to use and adapt for their own events.

